Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.cpp.cdt.model
[Groovy] Class CprojectSettings

    java.lang.Object
      org.gradle.plugins.cpp.cdt.model.CprojectSettings

    class CprojectSettings

Exposes a more logical view of the actual .cproject descriptor file

Property Summary
`Binary` | `binary`

Constructor Summary
`CprojectSettings(Binary binary, ProjectInternal project)`

Method Summary
`void` | `applyTo(CprojectDescriptor descriptor)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### binary

    Binary binary

Constructor Detail

### CprojectSettings

    CprojectSettings(Binary binary, ProjectInternal project)

Method Detail

### applyTo

    void applyTo(CprojectDescriptor descriptor)

Gradle API 1.1-rc-1